import { z } from "zod";

export const paginationModel = z.object({
  cursor: z.string().optional(),
  limit: z.number().int().max(100),
  asc: z.boolean().default(true),
  totalItemCount: z.number().int().default(0),
  totalPages: z.number().int(),
  page: z.number().int(),
});

export type PaginationModel = z.infer<typeof paginationModel>;
